# MySQL dump 8.12
#
# Host: star2    Database: computers
#--------------------------------------------------------
# Server version	3.22.32-log

#
# Current Database: computers
#

CREATE DATABASE /*!32312 IF NOT EXISTS*/ computers;

USE computers;

#
# Table structure for table 'events'
#

DROP TABLE IF EXISTS events;
CREATE TABLE events (
  id smallint(5) unsigned DEFAULT '0' NOT NULL auto_increment,
  date date,
  machid smallint(5),
  type varchar(20),
  description varchar(255),
  PRIMARY KEY (id)
);

#
# Table structure for table 'machines'
#

DROP TABLE IF EXISTS machines;
CREATE TABLE machines (
  id smallint(5) unsigned DEFAULT '0' NOT NULL auto_increment,
  name varchar(20),
  location varchar(255),
  model varchar(20),
  mfr varchar(20),
  os varchar(25),
  mem varchar(255),
  periphs varchar(255),
  networked char(1),
  ip varchar(16),
  macaddr varchar(255),
  port smallint(5),
  inuse char(1),
  services varchar(25),
  acquired date,
  owner varchar(20),
  serial varchar(255),
  death date,
  notes blob,
  PRIMARY KEY (id)
);

DROP TABLE IF EXISTS users;
CREATE TABLE users (
  username varchar(20), 
  password varchar(20), 
  authlevel varchar(20)
);
